net.sourceforge.pmd.lang.dfa

## Class VariableAccess

- java.lang.Object
- - net.sourceforge.pmd.lang.dfa.VariableAccess

-     public class VariableAccess
      extends Object

  Author:
    raik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFINITION`
    `static int` | `REFERENCING`
    `static int` | `UNDEFINITION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableAccess(int accessType, String varName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accessTypeMatches(int otherType)`
    `int` | `getAccessType()`
    `String` | `getVariableName()`
    `boolean` | `isDefinition()`
    `boolean` | `isReference()`
    `boolean` | `isUndefinition()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFINITION

          public static final int DEFINITION

      See Also:
        Constant Field Values

    - #### REFERENCING

          public static final int REFERENCING

      See Also:
        Constant Field Values

    - #### UNDEFINITION

          public static final int UNDEFINITION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VariableAccess

          public VariableAccess(int accessType,
                        String varName)

  - ### Method Detail

    - #### getAccessType

          public int getAccessType()

    - #### accessTypeMatches

          public boolean accessTypeMatches(int otherType)

    - #### isDefinition

          public boolean isDefinition()

    - #### isReference

          public boolean isReference()

    - #### isUndefinition

          public boolean isUndefinition()

    - #### getVariableName

          public String getVariableName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2002-2013 InfoEther. All Rights Reserved.